<?php

use Illuminate\Support\Facades\Route;

Route::middleware(['web', 'auth', 'permission:modul.statistiky.zobrazit'])
    ->namespace('Seka\Portal\Modul\Statistiky\Http\Controllers\Frontend')
    ->prefix('statistiky')
    ->name('modul.statistiky.frontend.')
    ->group(function () {
        Route::get('/', 'StatistikyController@index')
            ->name('index');

        Route::name('pracovisko.')
            ->prefix('pracovisko')
            ->group(function () {
                Route::get('/', 'PracoviskoController@index')
                    ->name('index');

                Route::post('/', 'PracoviskoController@filter')
                    ->name('filter');
            });

        Route::name('technici.')
            ->prefix('technici')
            ->group(function () {
                Route::get('/', 'TechnikController@index')
                    ->name('index');

                Route::post('/', 'TechnikController@filter')
                    ->name('filter');
            });
    });
